AstrologyAPI

Use access token to call astrology api.

Learn More

Soul Urge Number

POSThttps://json.astrologyapi.com/v1/soul_urge_number
Copy

This API is the soul_urge_number which takes in a person's name and birth date and returns their soul urge number and a report describing their personality traits associated with that number.

POST/soul_urge_number
Copy
1curl --location 'https://json.astrologyapi.com/v1/soul_urge_number' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "date": 10,
6    "month": 5,
7    "year": 1990,
8    "full_name": "John"
9}'
10
200Response
Copy
1{
2  "name": "Ajeet kanojia",
3  "birth_date": "2011-5-15",
4  "soul_urge_number": 1,
5  "report": [
6    "The Soul Urge number 1 gives you clarity of purpose and thought. It makes you proactive and a leader in true sense. You are independent and believe in taking a lead. You are your own guide and most often rely on self for guidance. You believe in oneself and in your capabilities and do not shy from taking initiatives or taking the plunge. You are a self-starter and do not wait for a push or backing from others. Being determined and focused, you can easily take up any daunting task and execute it successfully. Honest attempts at what you do, cannot keep success away from you. You take pride in your work and expect others to respect and recognize what you do. Loyalty is one of your strongest traits."
7  ]
8}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - en

Request Body (JSON)

date

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

full_name

string

required

Name of the person, eg: John

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.